class SearchSpacesResponse {
  SearchSpacesResponse(
      {required this.distance,
      required this.lat,
      required this.long,
      required this.bayID,
      required this.streetMarkerID,
      required this.description});

  SearchSpacesResponse.fromJson({required Map json}) {
    distance = json.entries
        .firstWhere((element) => element.key == 'distance')
        .value
        .toString();
    lat = json.entries
        .firstWhere((element) => element.key == 'lat')
        .value
        .toString();
    long = json.entries
        .firstWhere((element) => element.key == 'long')
        .value
        .toString();
    bayID = json.entries
        .firstWhere((element) => element.key == 'bayID')
        .value
        .toString();
    streetMarkerID = json.entries
        .firstWhere((element) => element.key == 'streetMarkerID')
        .value
        .toString();
    description = json.entries
        .firstWhere((element) => element.key == 'description')
        .value as Map;
  }

  late String distance;
  late String lat;
  late String long;
  late String bayID;
  late String streetMarkerID;
  late Map description;

  Map toJson() {
    final map = {
      'distance': distance,
      'lat': lat,
      'long': long,
      'bayID': bayID,
      'streetMarkerID': streetMarkerID,
      'description': description
    };
    return map;
  }
}
